package com.fuyuanshen.fyscustomer.controller;

import com.fuyuanshen.common.core.domain.ResponseVO;
import com.fuyuanshen.fyscustomer.domain.Customer;
import com.fuyuanshen.fyscustomer.domain.query.UserQueryCriteria;
import com.fuyuanshen.fyscustomer.service.CustomerService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author: 默苍璃
 * @date: 2025-07-0114:20
 */
@Slf4j
@Tag(name = "WEB：客户管理", description = "WEB：客户管理")
@RestController
@RequestMapping("/api/customers")
@RequiredArgsConstructor
public class CustomerController {

    private final CustomerService customerService;



    @GetMapping(value = "/allCustomer")
    @Operation(summary = "查询所有客户")
    public ResponseVO<List<Customer>> queryAllCustomer(UserQueryCriteria criteria) {
        List<Customer> customers = customerService.queryAllCustomers(criteria);
        return ResponseVO.success(customers);
    }


}
