package com.fuyuanshen.fyscustomer.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fuyuanshen.fyscustomer.domain.Customer;
import com.fuyuanshen.fyscustomer.domain.query.UserQueryCriteria;
import com.fuyuanshen.fyscustomer.mapper.CustomerMapper;
import com.fuyuanshen.fyscustomer.service.CustomerService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: 默苍璃
 * @date: 2025-07-0114:31
 */
@Service
@RequiredArgsConstructor
public class CustomerServiceImpl  extends ServiceImpl<CustomerMapper, Customer> implements CustomerService {

    private final CustomerMapper customerMapper;


    /**
     * 查询所有客户
     *
     * @param criteria
     * @return
     */
    @Override
    public List<Customer> queryAllCustomers(UserQueryCriteria criteria) {
        List<Customer> users = customerMapper.queryAllCustomers(criteria);
        return users;
    }


}
